curl -i -X POST \
https://developer.zuora.com/_mock/v1-api-reference/api/commerce/plans \
-H 'Accept-Encoding: string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Encoding: string' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: string' \
-H 'Zuora-Entity-Ids: string' \
-H 'Zuora-Org-Ids: string' \
-H 'Zuora-Track-Id: string' \
-d '{
"product_key": "6b14067136304e64b090daccae6680cb",
"name": "New plan",
"start_date": "2024-01-01",
"end_date": "2049-12-31",
"active_currencies": [
"USD"
],
"charges": [
{
"name": "Flat PRPC 1",
"charge_model": "flat_fee",
"charge_type": "recurring",
"pricing": {
"flat_amounts": {
"USD": 100
}
},
"bill_cycle": {
"type": "specific_day_of_month",
"day_of_month": 5,
"period_alignment": "align_to_charge",
"period": "bill_cycle_period_month"
},
"end_date_condition": "subscription_end",
"up_to_periods_type": "billing_periods",
"up_to_periods": 0,
"list_price_base": "Per_Billing_Period",
"specific_list_price_base": 0,
"trigger_event": "contract_effective",
"accounting": {
"accounting_code": "PRPC-REV-001",
"accounts_receivable_account": "Accounts Receivable",
"deferred_revenue_account": "Deferred Revenue",
"recognized_revenue_account": "Recognized Revenue",
"adjustment_liability_account": "adjustL-1",
"adjustment_revenue_account": "adjustRev-1",
"contract_asset_account": "CA-2",
"contract_liability_account": "CL-2",
"contract_recognized_revenue_account": "Contract Recognized Revenue",
"unbilled_receivables_account": "unbilledR-1"
}
},
{
"name": "Flat PRPC 2",
"charge_model": "flat_fee",
"charge_type": "recurring",
"pricing": {
"flat_amounts": {
"USD": 100
}
},
"bill_cycle": {
"type": "specific_day_of_month",
"day_of_month": 5,
"period_alignment": "align_to_charge",
"period": "bill_cycle_period_month"
},
"end_date_condition": "subscription_end",
"trigger_event": "contract_effective",
"accounting": {
"accounting_code": "PRPC-REV-002",
"accounts_receivable_account": "Accounts Receivable",
"deferred_revenue_account": "Deferred Revenue",
"recognized_revenue_account": "Recognized Revenue",
"adjustment_liability_account": "adjustL-2",
"adjustment_revenue_account": "adjustRev-2",
"contract_asset_account": "CA-3",
"contract_liability_account": "CL-3",
"contract_recognized_revenue_account": "Contract Recognized Revenue",
"unbilled_receivables_account": "unbilledR-2"
}
}
]
}'